QGIS Application - Bug report #21171
Arrow line goes beyond arrowhead in map composer
2019-02-05 08:38 AM - nicolas h

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.4 Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28989
Description

When using the arrow item in the map composer, the line of the arrow goes beyond the arrowhead (see attached screenshot).

It worked well with QGIS 2.x.

As | don't want the arrowhead to be round, | use these parameters:
- Arrow outline width: 0 mm
- Arrow head width: 3 mm

History

#1 - 2019-02-07 11:43 AM - Giovanni Manghi
- Regression? changed from No to Yes
- Priority changed from Normal to High

#2 - 2019-02-07 03:27 PM - Marco Hugentobler

QGIS 2.18 was moving the end arrow by half the arrow width. It seems to me we can just use this solution for QGIS3 too.
https://github.com/qgis/QGIS/pull/9129 provides a pull request.

#3 - 2019-02-08 05:19 PM - Marco Hugentobler
- Status changed from Open to Closed

Fixed in master branch (https:/github.com/qgis/QGIS/pull/9129). Change will be backported to 3.4 branch
